List Wallet Addresses
curl --request GET \
--url https://api.prime.coinbase.com/v1/portfolios/{portfolio_id}/wallets/{wallet_id}/addressesimport requests
url = "https://api.prime.coinbase.com/v1/portfolios/{portfolio_id}/wallets/{wallet_id}/addresses"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.prime.coinbase.com/v1/portfolios/{portfolio_id}/wallets/{wallet_id}/addresses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"addresses": [
{
"address": "<string>",
"account_identifier": "<string>",
"network": {
"id": "<string>",
"type": "<string>"
}
}
],
"pagination": {
"next_cursor": "<string>",
"sort_direction": "DESC",
"has_next": true
}
}Wallets
List Wallet Addresses
Returns all deposit addresses associated with a wallet
GET
/
v1
/
portfolios
/
{portfolio_id}
/
wallets
/
{wallet_id}
/
addresses
List Wallet Addresses
Path Parameters
The portfolio ID associated with the wallet
The wallet ID for which to retrieve all deposit addresses
Query Parameters
The blockchain network name and type, provide an empty network to retrieve addresses across all networks for this wallet
Cursor to retrieve the next page of results
Maximum number of addresses to return in a single response
Was this page helpful?
⌘I